﻿using System.Windows.Input;

namespace Faz.SideWinderSC.Client
{
    /// <summary>
    /// Defines the view commands.
    /// </summary>
    public static class Commands
    {
        /// <summary>
        /// The command associated with the "Start" action.
        /// </summary>
        private static readonly RoutedUICommand start
            = new RoutedUICommand("Start", "Start", typeof(Commands));

        /// <summary>
        /// The command associated with the "Window Close" action.
        /// </summary>
        private static readonly RoutedUICommand windowClose
            = new RoutedUICommand("Window Close", "WindowClose", typeof(Commands));

        /// <summary>
        /// The command associated with the "Window Change State" action.
        /// </summary>
        private static readonly RoutedUICommand windowChangeState
            = new RoutedUICommand("Window Change State", "WindowChangeState", typeof(Commands));

        /// <summary>
        /// Gets the command associated with the "Start" action.
        /// </summary>
        public static RoutedUICommand Start
        {
            get { return start; }
        }

        /// <summary>
        /// Gets the command associated with the "Window Close" action.
        /// </summary>
        public static RoutedUICommand WindowClose
        {
            get { return windowClose; }
        }

        /// <summary>
        /// Gets the command associated with the "Window Change State" action.
        /// </summary>
        public static RoutedUICommand WindowChangeState
        {
            get { return windowChangeState; }
        }
    }
}
