﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using System.IO;

namespace Faz.SideWinderSC.Logic.Win32Api
{
    /// <summary>
    /// Tests the <see cref="Kernel32Methods"/> class.
    /// </summary>
    [TestFixture]
    public static class Kernel32MethodsTest
    {
        /// <summary>
        /// Tests the <see cref="Kernel32Methods.CreateFile"/> method.
        /// </summary>
        [Test]
        public static void CreateFile()
        {
            using (var actual = Kernel32Methods.CreateFile("test.txt", Win32FileAccess.GenericWrite, FileShare.None, IntPtr.Zero, FileMode.OpenOrCreate, Win32FileAttributes.Archive, IntPtr.Zero))
            {
                // Is the file created
                Assert.IsTrue(File.Exists("test.txt"), "The file test.txt is not created");
                
                // Is the lock active
                try
                {
                    File.ReadAllLines("test.txt");
                    Assert.Fail("A lock on test.txt should be set");
                }
                catch (IOException)
                {
                }
            }

            // Is the lock inactive
            try
            {
                File.ReadAllLines("test.txt");
            }
            catch (IOException)
            {
                Assert.Fail("The lock is not removed when dispose is called");
            }
        }
    }
}
